# Time-stamp: <00/10/03 15:58:46 html2ps.spec wbosse@berlin.snafu.de>
Name:      html2ps
Version:   1.0b3
Release:   5
Copyright: GPL
Vendor:    Jan Krrman <jan@tdb.uu.se>
Group:     Applications/Publishing
Requires:  perl tetex tetex-dvips ImageMagick tcl tk
Summary:   HTML to PostScript converter
Source0:   %{name}-%{version}.tar.gz
Source1:   %{name}rc.rh62
Packager:  Mirko Zeibig <mirko@zeibig.net>
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}

%define mydata %{_datadir}/%{name}

%description
The Perl script html2ps converts HTML to PostScript. You must have
Perl 5 installed to be able to use html2ps.

%prep
%setup
%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
perl -i -p -e 's@/\S+/html2psrc@%{mydata}/html2psrc@;
               s@/\S+/html2ps\.html@%{_defaultdocdir}/%{name}-%{version}/html2ps.html@;
               ' html2ps
install -d -m 755 $RPM_BUILD_ROOT%{_bindir} \
                  $RPM_BUILD_ROOT%{_prefix}/X11R6/bin \
                  $RPM_BUILD_ROOT%{mydata} \
                  $RPM_BUILD_ROOT%{_mandir}/man1 \
                  $RPM_BUILD_ROOT%{_mandir}/man5
install -m 755 html2ps backout $RPM_BUILD_ROOT%{_bindir}
install -m 755 contrib/xhtml2ps/xhtml2ps $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{mydata}/%{name}rc
install -m 644 hyphen.tex $RPM_BUILD_ROOT%{mydata}/
install -m 644 html2psrc.5 $RPM_BUILD_ROOT%{_mandir}/man5
install -m 644 html2ps.1 $RPM_BUILD_ROOT%{_mandir}/man1
rm contrib/xhtml2ps/xhtml2ps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING contrib/xhtml2ps sample html2ps.html
%{_bindir}/*
%{_prefix}/X11R6/bin/*
%dir %{mydata}
%config %{mydata}/%{name}rc
%{mydata}/hyphen.tex
%{_mandir}/man?/*

%changelog
* Thu Jun  6 2002 Mirko Zeibig <mirko@zeibig.net>
- modified for RedHat 7.3

* Tue Oct  3 2000 Werner Bosse <wbosse@berlin.snafu.de>
- modified sample rc file for RedHat 6.2 standard distribution
- initial spec file
